

let startRedTag = '<mu-red>';
let endRedTag = '</mu-red>';

// [c] -- Red entire chapter
// [c, v] -- One verse in ch Red
// [c, v1, v2, [v3, 'He|C.', ..]] -- Red all v1, all v2, sections of v3
//    [v3, "He"] or [v3, "He|"]  -- V3 is Red from 'He' to end of line 
//    [3, 23] - Red Vs 3 to 23
var markup_red = {
	
	// red 
	
	red_Mat : [
		[3, [15, "Suff|ss."]],
		[4, [4, "It"], [7, "It"], [10, "Get"], [17, "Re"], [19, "Fo"]],
		[5, [3,48]],
		[6],
		[7, [1,27]],
		[8, [3, "I|n."], [4, "Se"], [7, "I"], [10, "Ve"], [10, "Ve"], 11,12, [13, "Go|ee."], [20, "The"], [22, "Fo"], [26, "Wh|?"], [32, "Go|o."]],
		[9, [2, "Son"], [4, "W"], 5, [6, "|s,", "Ar"], [9, "Fo|me."], [12, "Th"], 13, [15, "Can"], 16, 17, [22, "Da|e."], [24, "Gi|h."],
		  [28, "Be|?"], [29, "Acc"], [30, "See"], [37, "TheG3588"], 38],
		[10, [5, "Go"], [6,42]],
		[11, [4, "Go"], 5,6, [7, "Wh"], [8,19], [21,24], [25, "I"], [26,30]],
		[12, [3, "Ha"], [4,8], [11, "Wh"], 12, [13, "St|."], [25, "Ev"], [26, 37], [39, "An"], [40,45], [48, "Who"], [49, "Be"], 50],
		[13, [3, "Be"], [4,9], [11, "Be"], [12, 23], [24, "The"], [25, 30], [31, "The"], 32, [33, "The"],
		  [37, "He that"], [38,50], [51, "Hav|s?"], [52, "There"], [57, "A p"]],
		[14, [16, "Th"], [18, "Br"], [27, "Be"], [29, "Com|."], [31, "O"]],
		[15, [3, "Wh"], [4, 9], [10, "He"], 11, [13, "Ev"], 14, [16, "Ar"], [17,20], [24, "I"], [26, "I"], [28, "O|."], [32, "I"], [34, "Ho|?"]],
		[16, [2, "W"], 3, [4, "|as."], [6, "Ta"], [8, "O"], [9,11], [13, "Who"], [15, "B"], [17, "B"], 18,19, [23, "Get"], [24, "I"], [25,28]],
		[17, [7, "Ar"], [9, "Te"], [11, "El"], 12, [17, "O"], [20, "Be"], 21, [22, "The"], [23, "|."], [25, "W"], [26, "T"], 27],
		[18, [3, "V"], [4,20], [22, "I"], [23,35]],
		[19, [4, "Ha"], 5,6, [8, "M"], 9, [11, "A"], 12, [14, "S"], [17, "W"], [18, "Th"], 19, [21, "If"], [23, "V"], 24, 
		  [26, "W"], [28, "V"], 29, 30],
		[20, [1,16], 18,19, [21, "W|?"], [22, "Ye|?"], [23, "Ye"], [25, "Ye"], [26,28], [32, "Wh"]],
		[21, [2, "Go"], 3, [13, "I"], [16, "Ye"], [19, "Let|."], [21, "V"], 22, [24, "I"], [25, "|men?"], [27, "N"], 
		  [28,30], [31, "|?", "Ver|"], [32,40], [42, "Di"], 43, 44],
		[22, [2,14], [18, "W"], [19, "|."], [20, "W"], [21, "Re"], [29, "Ye"], [30,32], [37, "Th"], [38,40], 
		  [42, "W|he?"], [43, "Ho"], 44, 45],
		[23, [2, "Th"], [3,39]],
		[24, [2, "Se"], [4, "Ta"], [5, 51]],
		[25],
		[26, 2, [10, "Why"], [11,13], [18, "Go"], [21, "Ve"], [23, "He"], 24, [25, "Tho|"], [26, "Ta|"], [27, "Dr|"],
		  28,29, [31, "All"], 32, [34, "Ver"], [36, "Sit"], [38, "My"], [39, "O"], [40, "Wh"], 41, [42, "O"], 
		  [45, "Sl"], 46, [50, "Fr|?"], [52, "Pu"], 53, 54, [55, "Ar"], [56, "|."], [64, "Th"]],
		[27, [11, "Thou"], [46, "Eli|?"]],
		[28, [9, "All|."], [10, "Be"], [18, "All"], 19, [20, "|."]]
	],
	red_Mar : [
		[1, [15, "T"], [17, "C"], [25, "Ho"], [38, "L"], [41, "I"], [44, "S"]],
		[2, [5, "S"], [8, "W"], 9, [10, "|sins,"], 11, [14, "Fo|."], [17, "Th"], [19, "Ca"], [20,22], [25, "Ha"], 26, [27, "T"], 28],
		[3, [3, "S"], [4, "I|kill?"], [5, "S|."], [23, "Ho"], [24, 29], [33, "W"], [34, "B"], 35],
		[4, [3,8], [9, "He"], [11, "U"], 12, [13, "K"], [14, 20], [21, "Is"], 22,23, [24, "T"], 25, [26, "So"],
		  [27,29], [30, "W"], 31,32, [35, "Le"], [39, "Pe|ll."], [40, "W"]],
		[5, [8, "Co"], [9, "W|?"], [19, "Go"], [30, "Wh"], [34, "Da"], [36, "Be"], [39, "W|."], [41, "T|;"]],
		[6, [4, "A"], [10, "I"], 11, [31, "C|:"], [37, "Gi|."], [38, "Ho|."], [50, "Be"]],
		[7, [6, "We"], 7,8, [9, "Fu"], [10, 13], [14, "He"], 15,16, [18, "Ar"], 19, [20, "Th"], [21,23], 
		  [27, "Le"], [29, "Fo"], [34, "Ep|,"]],
		[8, 2,3, [5, "Ho|?"], [12, "Wh"], [15, "Ta"], [17, "Wh"], 18, [19, "|?"], [20, "|?"], [21, "Ho"],
		  [26, "Ne"], [27, "Wh"], [29, "Bu|?"], [33, "Get"], [34, "Who"], [35,38]],
		[9, [1, "Ve"], [12, "Eli"], 13, [16, "Wh"], [19, "O"], [21, "Ho|?"], [23, "If"], [25, "Th"], [29, "Th"],
		  [31, "Th"], [33, "Wh"], [35, "If"], 37, [39, "Fo"], [40, 50]],
		[10, [3, "Wh"], [5, "Fo"], [6,9], [11, "Wh"], 12, [14, "Su"], 15, [18, "Wh"], 19, [21, "On"], [23, "Ho"],
		  [24, "Ch"], 25, [27, "Wi"], [29, "Ve"], 30,31, 33,34, [36, "Wh"], [38, "Ye"], [39, "Ye"], 40,
		  [42, "Ye"], [43,45], [51, "Wh|?"], [52, "Go|."]],
		[11, [2, "Go"], 3, [14, "No|."], [17, "Is"], [22, "Ha"], [23,26], [29, "I"], 30, [33, "Ne"]],
		[12, [1, "A c"], [2,11], [15, "Wh"], [16, "Wh|?"], [17, "Re|."], [24, "Do"], [25,27], [29, "The"], 30,31,
		  [34, "Th|."], [35, "Ho"], 36, [37, "|?"], [38, "Be"], 39,40, [43, "Ver"],44],
		[13, [2, "See"], [5, "Ta"], [6, 37]],
		[14, [6, "Let"], 7,8,9, [13, "Go"],14,15, [18, "Ve"], [20, "It"], 21, [22, "Ta"], [24, "Th"], 25,
		  [27, "All"], 28, [30, "Ve"], [32, "Si"], [34, "My"], [36, "Abba"], [37, "Si"], 38, [41, "Sl"], 42,
		  [48, "Ar"], 49, [62, "I"], [72, "Be|."]],
		[15, [2, "Th"], [34, "El|?"]],
		[16, [15, "Go"], [16,18]]
	],
	red_Luk : [
		[2, [49, "How"]],
		[4, [4, "It"], [8, "Ge"], [12, "It"], 18,19, [21, "Th"], [23, "Ye"], [24, "Ve"], [25,27], [35, "H|."], [43, "I"]],
		[5, [4, "La"], [10, "Fe"], [13, "I|."], [14, "tell"], [20, "Ma"], [20, "Wh"], [22, "Wh"], 23, [24, "|sins,", "I|"], [27, "Fo"], 
		   [31, "Th"], 32, [34, "Can"], 35, [36, "No"], [37,39]],
		[6, [3, "Hav"], 4, [5, "Th"], [8, "Ris|."], [9, "I"], [10, "Str|."], [20, "Bl"], [21,38], [39, "Can"], [40,49]],
		[7, [9, "I"], [13, "We"], [14, "Yo"], [22, "Go"],23, [24, "Wh"], [25,28], [31, "Wh"], [32,35], [40, "Si|."],
		  41,42, [43, "Tho"], [44, "See"],45,46,47, [48, "Thy"], [50, "Thy"]],
		[8, [5, 7], [8, "|.", "He"], [10, "Un"], [11, 18], [21, "My"], [22, "Let|."], [25, "Wh|?"], [30, "Wh|?"],
		  [39, "|."], [45, "Wh|?"], [46, "Som"], [48, "Da"], [50, "Fe"], [52, "We"], [54, "Ma"]],
		[9, [3, "Tak"], 4,5, [13, "Gi|."], [14, "Ma"], [18, "Wh"], [20, "Bu|?"], [22, "Th"], [23, "If"], [24,27], [41, "O"], 44, 
		  [48, "Wh"], [50, "Fo"], [55, "Ye"], [56, "|."], [58, "Fox"], [59, "Fo|."], [60, "Le"], [62, "No"]],
		[10, [2, "TheG"], [3,16], [18, "I"], 19,20, [21, "I th"], 22, [23, "Bl"], 24, [26, "Wh"], [28, "Th"], [30, "A c"],
		  [31,36], [37, "Go"], [41, "Ma"], 42],
		[11, [2, "Wh"], 3,4, [5, "Wh"], [6,13], [17, "Ev"], [18,26], [28, "Ye"], [29, "Th"], [30,36], [39, "No"],
		  [40,44], [46, "Wo"], [47,52]],
		[12, [1, "Be"], [2,12], [14, "Man"], [15, "Ta"], [16, "Th"], [17,21], [22, "Th"], [23, 40], [42, "Who"], [43, 53],
		  [54, "Wh"], [55, 59]],
		[13, [2, "Su"], [3,5], [6, "A"], [7,9], [12, "Wo"], [15, "Tho"], 16, [18, "Un"], 19, [20, "Wh"], 21, [24,30], [32, "Go"], [33,35]],
		[14, [3, "Is"], [5, "Wh"], [8,11], [12, "Wh"], 13,14, [16, "A"], [17,24], [26, 35]],
		[15, [4,10], [11, "A cer"], [12, 32]],
		[16, [1, "Th"], [2, 13], [15, "Ye"], [16, 31]],
		[17, [1, "It"], [2,4], [6, "If"], [7,10], [14, "Go|."], [17, "We"], 18, [19, "Ar"], [20, "The"], 21, [22, "The"], [23,36], [37, "Whereso"]],
		[18, [2, "Th"], [3,5], [6, "He"], 7,8, [10,14], [16, "Su"], 17, [19, "Wh"], 20, [22, "Ye"], [24, "Ho"], 25, [27, "Th"],
		  [29, "Ver"], 30, [31, "Be"], 32,33, [41, "Wh|?"], [42, "Re"]],
		[19, [5, "Za"], [9, "Th"], 10, [12, "A"], [13, 27], [30, "Go"], 31, [40, "I"], [42, "I"], 43,44, [46, "It"]],
		[20, [3, "I"], 4, [8, "Ne"], [9, "A"], [10,15], [16,"|."], [17, "Wh"], 18, [23, "Wh"], [24, "|?"], [25, "Re"],
		  [34, "Th"], [35,38], [41, "Ho"], [42,44], [46,47]],
		[21, [3, "Of"], 4, 6, [8, "Ta"], 9, [10, "Na"], [11, 28], [29, "Be"], [30, 36]],
		[22, [8, "Go"], [10, "Be"], 11,12, [15, "Wi"], 16, [17, "Ta"], 18, [19, "Th"], [20, "Th"], 21,22, [25, "Th"], [26,30],
		  [31, "Si"], 32, [34, "I"], [35, "Wh|?"], [36, "But"], 37, [38, "It"], [40, "Pr"], [42, "Fa"], [46, "Wh"], [48, "Ju"],
		  [51, "Su|."], [52, "Be"], 53, [61, "Be"], [67, "If"], 68,69, [70, "Ye"]],
		[23, [3, "Th"], [28, "Da"], 29,30,31, [34, "Fa|."], [43, "Ver"], [46, "Fa|:"]],
		[24, [17, "Wh"], [19, "Wh|?"], [25, "O"], 26, [36, "Pe"], [38, "Wh"], 39, [41, "Ha"], [44, "Th"], [46, "Th"], 47,48,49]
	],
	red_Joh : [
		[1, [38, "Wh|?"], [39, "Co|."], [42, "Th|,"], [43, "Fo"], [47, "Be"], [48, "Be"], [50, "Be"], [51, "Ve"]],
		[2, [4, "Wo"], [7, "Fi|."], [8, "Dr|."], [16, "Ta"], [19, "De"]],
		[3, [3, "Ve"], [5, "Ve"], 6,7,8, [10, "Ar"], [11, 21]],
		[4, [7, "Gi"], [10, "If"], [13, "Wh"], 14, [16, "Go"], [17, "Thou"], 18, [21, "Wo"], 22,23,24, [26, "I"],
		  [32, "I"], [34, "My"], [35,38], [48, "Ex"], [50, "Go|."], [53, "Thy|:"]],
		[5, [6, "Wi"], [8, "Ri"], [14, "Be"], [17, "My"], [19, "Ve"], [20,47]],
		[6, [5, "Whenc"], [10, "Mak|."], [12, "Ga"], [20, "It"], [26, "Ve"], 27, [29, "Th"], [32, "Ve"], 33, [35, "I"],
		  [36,40], [43, "Mu"], [44,51], [53, "Ve"], [54, 58], [61, "Do"], 62,63,[64, "|."], [65, "Th"], [67, "Wi"], [70, "Ha"]],
		[7, [6, "My"],7,8, [16, "My"], [17,19], [21, "I"], [22,24], [28, "Ye"], 29, [33, "Ye"], 34, [37, "If"], 38],
		[8, [7, "He"], [10, "Wo"], [11, "Ne"], [12, "I"], [14, "Th"], [15,18], [19, "Ye"], [21, "I"], [23, "Ye"], 24,
		  [25, "Ev"], 26, [28, "Wh"], 29, [31, "If"], 32, [34, "Ve"], [35,38], [39, "If"], 40, [41, "|."], [42, "If"], 
		  [43,47], [49, "I"], 50,51, [54, "I"], 55,56, [58, "Ver"]],
		[9, [3, "Ne"], 4,5, [7, "Go|m,"], [35, "Do"], [37, "Th"], [39, "Fo"], [41, "If"]],
		[10, [1,5], [7, "Ve"], [8,18], [25, "I"], [26,30], [32, "Ma"], [34, "Is"], [35,38]],
		[11, [4, "Th"], [7, "Le"], [9, "Ar"], 10, [11, "Ou"], [14, "La"], 15, [23, "Th"], [25, "I"], 26, [34, "Wh|?"],
		  [39, "Ta|."], [40, "Sa"], [41, "Fa"], 42, [43, "La"], [44, "Lo"]],
		[12, [7, "Let"], 8, [23, "The"], [24,27], [28, "|."], [30, "Thi"], 31,32, [35, "Yet"], [36, "|."], [44, "He"], [45,50]],
		[13, [7, "Wha"], [8, "If"], [10, "He"], [11, "Ye"], [12, "Kn"], [13,20], [21, "Ve"], [26, "He|."], [27, "Tha"],
		  [31, "Now"], [32,35], [36, "Whi"], [38, "Wi"]],
		[14, [1,4], [6, "I"], 7, [9, "Ha"], [10,21], [23, "If"], [24,31]],
		[15],
		[16, [1,16], [19, "Do"], [20,28], [31, "Do"], 32,33],
		[17, [1, "Fa"], [2,26]],
		[18, [4, "Wh"], [5, "I|."], [6, "I|,"], [7, "Wh|?"], [8, "I"], [11, "Pu"], [20, "I"], 21, [23, "I"], [34, "Say"],
		  [36, "My"], [37, "Th"]],
		[19, [11, "Thou"], [26, "Wo"], [27, "Be|!"], [28, "I"], [30, "It|:"]],
		[20, [15, "Woman|G2212 thou?"], [16, "Mary|."], [17, "To"], [19, "Pea"], [21, "Pea"], [22, "Rec"], 23,
		  [26, "Pe"], [27, "Re"], [29, "Th"]],
		[21, [5, "Ch|?"], [6, "Ca|."], [10, "Br"], [12, "Co|."], [15, "Simon,|?", "Feed"], [16, "Si|?", "Feed"], [17, "Si|?", "Feed"],
		  18, [19, "Fo"], [22, "If"]]
	],
	
	red_Act : [
		[1, [4, "wait"], 5, [7, "It"], 8],
		[9, [4, "Saul"], [5, "IG1473 am"], [6, "Arise"], [10, "Ananias.|."], [11, "Arise"], 12, [15, "Go"], 16],
		[11, [16, "John"]],
		[18, [9, "Be"], 10],
		[22, [7, "Saul|"], [8, "IG1473 am|"], [10, "Arise|"], [18, "Make|"], [21, "Depart|"]],
		[23, [11, "Be|"]],
		[26, [14, "Saul|"], [15, "IG1473 am|"], 16, 17, 18]
	],
	red_1Co : [ 
		[11, [24, "Ta|"], [25, "Th|"]]
	],
	red_2Co : [ 
	   [12, [9, "My|ss."]]
   ],
	red_Rev : [
		[1, [8, "|ing,"], [11, "I|"], [17, "Fear|"], 18, 19, 20],
		[2],
		[3],
		[16, 15],
		[21, [5, 'Be|ew.', 'Wr|l.'], [6, 'It|'], 7, 8], 
		[22, 7, 12, 13, 16, [20, 'Su|ly.']]
	],
	
	find : function(bkObj, ch, vs) {
		var i, n;
		for (i = 0; i < bkObj.length; i++) {  // walk ch lines of book

			if (bkObj[i][0] == ch) {  // look for ch match line
				if (bkObj[i].length == 1)  // [2] .. all chapter is red
					return 1; 
				
				for (n = 1; n < bkObj[i].length; n++) {  // walk recs in line (skip ch [0])
					if (typeof bkObj[i][n] == "number") {  // just number = entire vs if match
						if (bkObj[i][n] == vs)
							return 1;
					}
					else if (bkObj[i][n].length == 2 && typeof bkObj[i][n][1] == "number") { // 2 number Vs block rec [3, 23]
						if (vs >= bkObj[i][n][0] && vs <= bkObj[i][n][1])
							return 1;
					}
					else { 
						if (bkObj[i][n][0] == vs) { // [2, ...] Vs Rec 
							if (bkObj[i][n].length == 1)
								return 1;
							return bkObj[i][n];      // return vs match record [5, 'Be|ew.', 'Wr|l.']
						}
					}
				}
				
				break;
			}
		}
		return null;
	},
	
	MarkRed : function(bcvRec, ss) {  // bcvRec = [bkIdx, VsIdx, ChIdx] - kjvObj.book[bkIdx].name3
		
		// Is book in list above?  eg. markup_red.Rev
		bkName3 = 'red_'+kjvObj.book[bcvRec[0]].name3;
		if (typeof markup_red[bkName3] == "undefined")
			return null;
		var bkArr = markup_red[bkName3]; // book record of chaps above - eg. Rev :
	
		
		var i, _Rec = markup_red.find(bkArr, bcvRec[1], bcvRec[2]); // bookRec, Ch, Vs
		
		if (_Rec == null)
			return null;
		else if (typeof _Rec == "number")
			return startRedTag + ss + endRedTag;  // markup vs as all red letter
		
		// else _Rec = [5, 'Be|ew.', 'Wr|l.'] rec (where 5 = Vs match)
		for (i = 1; i < _Rec.length; i++) {
			// "fr|end.", "si|r.",
			var txt = _Rec[i].split('|');

			var p1 = (txt[0]) ? ss.indexOf(txt[0]) : -1;
			var p2 = (txt.length > 1 && txt[1]) ? ss.indexOf(txt[1], p1) : -1;

			if (p2 == -1)
				ss = ss + endRedTag
			else 
				ss = ss.substr(0, p2 + txt[1].length) + endRedTag + ss.substr(p2 + txt[1].length);

			if (p1 == -1)
				ss = startRedTag + ss;
			else 
				ss = ss.substr(0, p1) + startRedTag + ss.substr(p1);			
		}
		return ss;
	}
	
}