//Blog Talk Radio - KleckFiles Stream
//
var __btr = {
  version   : 1,
  trackSpc  : 30000,         // msec between tracks (30secs) - careful - changes Group Sync
  msTotal   : -1,            // Call Init - total msec = all tracks (inc trackSpc) 
  msOffset  : 0,             // debug offset - set 0 before release 
  Init      : function() {   // Call
    var i, total = 0;
    for (i = 0; i < btRadio.length; i++) {
     btRadio[i][3] = total;  // running total (secs) 0, 233, 4555, ....
     total += this.trackSpc + btRadio[i][2];
    }
    this.msTotal = total;    // trk bank total in ms  
  },  
  UniPos    : function() {   // Call regularly. Current Pos common to all users 
    if (this.msTotal == -1)
      this.Init(); // sets btRadio[i][3] (with gap length)
    
    var i, trk = 0, ret = {};
    var now = new Date();   //now.valueOf() = msec since 1/1/1970
    
    // globalPos into Track Bank - think looping since 1/1/1970 
    // So.. Time-since-1970 DIV TrkBank(w lead-Gaps) = remainder gPos into Tracks bank
    ret.gPos = now.valueOf() % this.msTotal; 
    
    //debug fudge
    if (this.msOffset > 0) {
      ret.gPos += this.msOffset;
      if (ret.gPos > this.msTotal)
        ret.gPos = ret.gPos - this.msTotal;
    }
    
    for (i = 0; i < btRadio.length; i++) { 
      if (ret.gPos >= btRadio[i][3])
        trk = i;
      else
        break;
    }
    
    ret.trk = trk;
    ret.posIncGap = (ret.gPos - btRadio[trk][3]);  // track Pos (includes lead Gap)
    ret.pos = ret.posIncGap - this.trackSpc;  // -ve means still in lead Gap 
    ret.trkMax = btRadio[trk][2];
    ret.trkMaxwGap = this.trackSpc + btRadio[trk][2];
    return ret;
  },
  UniPosDebug : function() {
    var up = this.UniPos();
    var html = [];
    html.push("up.gPos(ms) = " + up.gPos + " = " + this.msToTime(up.gPos) ); 
    html.push("up.trk = " + (up.trk+1) ); 
    html.push("up.pos = " + up.pos + " = " + this.msToTime(up.pos) );  
    html.push("up.posIncGap = "+ up.posIncGap  + " = " + this.msToTime(up.posIncGap) ); 
    html.push("up.trkMax = " + up.trkMax  + " = " + this.msToTime(up.trkMax) ); 
    html.push("up.trkMaxwGap = " + up.trkMaxwGap + " = " + this.msToTime(up.trkMaxwGap) ); 
    return html;
  },
  Find      : function(fname, defIdx) {   // find first file starting with fname 
    if (this.msTotal == -1)
      this.Init();
    var i;
    for (i = 0; i < btRadio.length; i++) { 
      if (btRadio[i][1].startsWith(fname))
        return i;
    }    
    return defIdx;
  },
  TimeStr   : function(idx) {
    var sec = parseInt(btRadio[idx][2] / 1000);  // to seconds
    var hr = parseInt(sec / 3600).toString(); 
    sec = parseInt(sec % 3600);
    var min = parseInt(sec / 60);
    sec = parseInt(sec % 60);
    var minStr = min.toString(); if (min <= 9) minStr = '0' + minStr;
    var secStr = sec.toString(); if (sec <= 9) secStr = '0' + secStr;
    var ret = hr + ":" + minStr + ":" + secStr;
    return ret;  
  },
  msToTime  : function(ms) {
    var sec = parseInt(ms / 1000);  // to seconds
    var hr = parseInt(sec / 3600).toString(); 
    sec = parseInt(sec % 3600);
    var min = parseInt(sec / 60);
    sec = parseInt(sec % 60);
    var minStr = min.toString(); if (min <= 9) minStr = '0' + minStr;
    var secStr = sec.toString(); if (sec <= 9) secStr = '0' + secStr;
    var ret = hr + ":" + minStr + ":" + secStr;
    return ret;  
  },
  secToTime : function(sec) {
    var hr = parseInt(sec / 3600); 
    sec = parseInt(sec % 3600);
    var min = parseInt(sec / 60);
    sec = parseInt(sec % 60);
    var minStr = min.toString(); if (min <= 9) minStr = '0' + minStr;
    var secStr = sec.toString(); if (sec <= 9) secStr = '0' + secStr;
    if (hr)
      var ret = hr + ":" + minStr + ":" + secStr;
    else 
      var ret = minStr + ":" + secStr;
    return ret;  
  },
  Info      : function(idx) {
    if (this.msTotal == -1)
      this.Init();
    var ret = {};
    if (idx < 0 || idx >= btRadio.length)
      idx = 0;
    ret.file = btRadio[idx][1];
    ret.folder = btRadio[idx][0];
    ret.folder_HD = "HD/" + btRadio[idx][0];
    ret.path = btRadio[idx][0] + "/" + btRadio[idx][1];
    ret.path_HD = "HD/" + btRadio[idx][0] + "/" + btRadio[idx][1];
    return ret;
  },
  SkipRec   : function(idx) {  // chaptersStr: use with radio3
	 if (typeof idx == "string") { // for radio 3 
		 var ss = idx;
	 }
	 else {  // for radio 2 
		if (idx < 0 || idx >= btRadio.length)
			return null;
    	var ss = btRadio[idx][4];
	 }
	  
    if (ss.length == 0)
      return null;
    ss = ss.split("|");
    var i, ret = [];
    for (i = 0; i < ss.length; i++) {
      if (i == ss.length-1 && ss[i].trim() == "")
        continue;
      var pp = ss[i].split(":"); // parts
      ret[i] = {};
      ret[i].id = "chapSkip_"+i;
      ret[i].time = parseFloat(pp[0]);
      ret[i].timeStr = this.secToTime(ret[i].time);
      ret[i].code = (pp.length >= 2) ? pp[1]:"";  // [m]usic|[v]oc|[t]alkback|[c]lip
      
           if (ret[i].code == "m") { ret[i].title = "Music";    ret[i].clr = "background-color:#37f;" }
      else if (ret[i].code == "v") { ret[i].title = "Voice";    ret[i].clr = "background-color:#fbf;" }
      else if (ret[i].code == "t") { ret[i].title = "Phone"; ret[i].clr = "background-color:#9f9;" }
      else if (ret[i].code == "c") { ret[i].title = "Clip";     ret[i].clr = "background-color:#4c4;" }
                              else { ret[i].title = "???";      ret[i].clr = "background-color:#fff;" }
      
      ret[i].text = (pp.length >= 3) ? pp[2]:""; 
      if (ret[i].code == "v" && ret[i].text == "")
        ret[i].text = "JK";
      
      if (ret[i].code == "m" && ret[i].text !== "")
        ret[i].text = '<span style="color:#ccc;">' + ret[i].text + '</span>';
    }
    return ret;
  }
};


var btRadio = [ 
//folder, filename, Trklen=ms, running total(0,n,m..), "skipRules(Music|Voc|PhoneIn|Clip)" - [m]usic|[v]oc|[t]alkback|[c]lip
["2016", "show_2016_01_01.mp3", 5852000,  0, "0.00:m:Time for Me to Fly(REO Speedwagon)|219.8:m:Time To Say Goodbye(Bocelli/Brightman)|462:v|2211.5:m:Hold On(Triumph)|2368.6:v|3688.6:m:Names of God(Laurell Hubick)|3900:v|5259:m:Names of God(Laurell Hubick)|5470:v|5593.8:m:By Your Side(Tenth Ave Nth)|5829:v:JK Goodnight"],
["2016", "show_2016_06_03.mp3", 192000,   0, "0.00:m:Gregorian chant"],
	
["2016", "show_2016_06_04.mp3", 7304000,  0, "0.0:m:Miss Sarajevo(U2/Eno)|335.6:m:Extreme Ways(Moby)|564.3:m:Return To Innocence(Enigma)|821:v|2903:m:Redemption song(Bob Marley)|3142:v|5640:m:Hold On To Love(U2)|5913.00:v|7004:m:If God Will Send His Angels(U2)|7275.00:v:JK Goodnight"],
["2016", "show_2016_06_07.mp3", 5531000,  0, "0.00:m:The Lord's Prayer(Andrea Bocelli)|264:v|2244.5:m:Until the End of the World(Patti Smith)|2322.9:v|5286:m:99 Luftballons(Nena)|5517:v:JK Goodnight"],
["2016", "show_2016_06_09.mp3", 5831000,  0, "0.00:m:Demons(Imagine Dragons)|177.0:v|896:m:Extreme Ways(Moby)|1115.6:v|2674:m:Don’t Dream It’s Over(Crowded House)|2899.5:v|5523.5:m:New York(U2)(remix)|5822:v:JK Goodnight"],
["2016", "show_2016_06_13.mp3", 6993000,  0, "0.00:m:Beautiful Day(U2)|250:v|2474:m:Miss Sarajevo(U2)|2785:v|5396.5:m:Comfortably Numb(Pink Floyd)|5572:v|6630:m:Demons(Imagine Dragons)|6804.8:v:JK Goodnight"],
["2016", "show_2016_06_15.mp3", 5349000,  0, "0.00:m:Stuck in a Moment You Can’t Get Out Of(U2)|275:v|1056:m:Stay (Faraway, So Close!)(U2)|1389.5:v|4337:m:Names of God(Laurell Hubick)|4554.4:v|5090:m:The Saints Are Coming(U2, Green Day)|5290:v:JK Goodnight"],
["2016", "show_2016_06_16.mp3", 4931000,  0, "0.00:m:People Get Ready(Eva Cassidy)|201:v|2952.8:m:Grace(U2)|3279:v|4599:m:The Final Countdown(Europe)|4892:v:JK Goodnight"],
["2016", "show_2016_06_21.mp3", 6967000,  0, "0.00:m:Return To Innocence(Enigma)|262.5:v|4829:m:Deliver Me(David Arkenstone)|5067:v|6596:m:Redemption song(Bob Marley)|6834:v:JK Goodnight"],
["2016", "show_2016_06_24.mp3", 7070000,  0, "0.00:m:Beautiful Day(U2)|251.0:v|4111:m:Kite(U2)|4373:v|6155:m:Demons(Imagine Dragons)|6221.7:v|6718:m:A Sort Of Homecoming(U2)|6958:v:JK wrap-up"],
["2016", "show_2016_06_27.mp3", 7356000,  0, "0.00:m:Demons(Imagine Dragons)|178:v|1177:m:Edie (Ciao Baby)(The Cult)|1462.2:v|4925.38:m:Luminous Times (Hold On To Love)(U2)|5199.5:v|6988:m:The Final Countdown(Europe)|7292:v:JK wrap-up"],
["2016", "show_2016_06_28.mp3", 5411000,  0, "0.00:m:Kite(U2)|267:v|828:m:The Temples Of Syrinx(Rush)|1214:v|4720:m:Demons(Imagine Dragons)|4894:v|5122:m:Kite(U2)|5385:v:JK Goodnight"],
["2016", "show_2016_06_30.mp3", 7056000,  0, "0.00:m:Time for Me to Fly(REO Speedwagon)|223:m:Hold On(Triumph)|579.5:v|957.35:m:Time Has Come(Europe)|1193:v|3888:m:Mercy(U2)|4277:v|6453:m:Embers(Owl City, Adam Young)|6675:m:Miss Sarajevo(U2)|6984:v:JK Goodnight"],
["2016", "show_2016_07_05.mp3", 7221000,  0, "0.00:m:Stuck in a Moment You Can’t Get Out Of(U2)|276:v|2510.4:m:Radioactive(Imagine Dragons)|2697:v|4420.8:m:Demons(Imagine Dragons)|4595.6:v|6947:m:A Room at the Heartbreak Hotel(U2)|7218:v:JK Goodnight"],
["2016", "show_2016_07_06.mp3", 6224000,  0, "0.00:m:Tears(Rush)|197.63:m:Stay (Faraway, So Close!)(U2)|531.5:v|2650.5:m:By Your Side(Tenth Avenue North)|2880.5:v|3405:m:In the House of Stone and Light(Martin Page)|3594.7:v|4797:m:Luminous Times (Hold On To Love)(U2)|5069:v|5916.3:m:Home Sweet Home(Mötley Crüe)|6206:v:JK Goodnight"],
["2016", "show_2016_07_07.mp3", 6224000,  0, "0.00:m:Tears(Rush)|197.63:m:Stay (Faraway, So Close!)(U2)|531.5:v|2650.5:m:By Your Side(Tenth Avenue North)|2880.5:v|3405:m:In the House of Stone and Light(Martin Page)|3594.7:v|4797:m:Luminous Times (Hold On To Love)(U2)|5069:v|5916.3:m:Home Sweet Home(Mötley Crüe)|6206:v:JK Goodnight"],
["2016", "show_2016_07_09.mp3", 5626000,  0, "0.00:m:Time for Me to Fly(REO Speedwagon)|219:m:Beautiful Day(U2)|467:m:Bad(U2)|805.7:v|3483:m:Demons(Imagine Dragons)|3720:v|4605:m:New York(U2)(remix)|4903:v|5276:m:Where the Streets Have No Name(U2)|5590:v:JK Goodnight"],
["2016", "show_2016_07_12.mp3", 5795000,  0, "0.00:m:Tears(Rush)|214.2:m:Return To Innocence(Enigma)|463:v|2782.5:m:Demons(Imagine Dragons)|2956:v|3555:m:Edie (Ciao Baby)(The Cult)|3846.5:m:The Temples Of Syrinx(Rush)|4204:v|5534.8:m:Deliver Me(Sarah Brightman)|5771.6:v:JK Goodnight"],
["2016", "show_2016_07_14.mp3", 5215000,  0, "0.00:m:A Sort Of Homecoming(U2)|245:v|950:m:Window In The Skies(U2)|1189:v|3082.3:m:Demons(Imagine Dragons)|3256:m:Comfortably Numb(Pink Floyd)|3580.5:v|4951:m:The Final Countdown(Europe)"],
["2016", "show_2016_07_18.mp3", 7118000,  0, "0.00:m:Embers(Owl City, Adam Young)|226:v|1443:m:Bad(U2)|1779:v|4285:m:Embers(Owl City, Adam Young)|4506.4:v|6512:m:99 Luftballons(Nena)|6752:v|6797:m:In the House of Stone and Light(Martin Page)|7091:v:JK Goodnight"],
["2016", "show_2016_07_22.mp3", 4505000,  0, "0.00:m:Lady With the Spinning Head(U2)|237.7:v|1234.6:m:Kite(U2)|1498.5:v|2482:m:Demons(Imagine Dragons)|2657:v|3982.36:m:Return To Innocence(Enigma)|4451.66:v:JK Goodnight"],
["2016", "show_2016_07_25.mp3", 7285000,  0, "0.00:m:Luminous Times (Hold On To Love)(U2)|272.65:m:Bad(U2)|612.4:v|2509.31:m:Beautiful Day(U2)|2754:v|6978.54:m:Edie (Ciao Baby)|7266.36:v:JK Goodnight"],
["2016", "show_2016_07_27.mp3", 6502000,  0, "0.00:m:Stay (Faraway, So Close!)(U2)|339.25:v|1295.33:m:Walk To The Water(U2)|1550:v|2100.26:m:Walk On(U2)|2407.86:m:Who's Gonna Ride Your Wild Horses(U2)|2485.36:v|3421.62:c:You are in a prison|3651.62:v|4950.3:m:Where the Streets Have No Name(U2)|5229.31:v|5841.13:m:When Love Comes To Town(B.B. King)|6089.35:v|6290.53:m:Vertigo(U2)|6478.37:v:JK Goodnight"],
["2016", "show_2016_08_01.mp3", 7056000,  0, "0.00:m:Time for Me to Fly(REO Speedwagon)|222.29:m:Hold On(Triumph)|579.49:v|957.64:m:Time Has Come(Europe)|1192.14:v|3888.35:m:Mercy(U2)|4276.82:v|6452.8:m:Embers(Owl City, Adam Young)|6674.77:m:Luminous Times (Hold On To Love)(U2)|6984.71:v:JK Goodnight"],
["2016", "show_2016_08_05.mp3", 5360000,  0, "0.00:m:Ordinary World(Duran Duran)|278.70:m:Mysterious Ways(U2)|515.67:v|1763.06:m:Desire(U2)|2090.63:v|5191.64:m:Return To Innocence(Enigma)|5341.64:v:JK Goodnight"],
["2016", "show_2016_08_08.mp3", 7179000,  0, "0.00:m:Only Time(Enya)|211.90:m:Crazy Train(Ozzy Osbourne)|491.99:v|1635.16:c:It\'s time|1854.74:v|3225.57:m:Closing Time(Semisonic)|3494.15:v|4673.25:m:Crazy Train(Ozzy Osbourne)|4951.68:v|6870.58:m:Home Sweet Home(Mötley Crüe)|7150.32:v:JK Goodnight"],
["2016", "show_2016_08_12.mp3", 6425000,  0, "0.00:m:By Your Side Tenth(Avenue North)|245.60:v|3002.99:m:Names of God(Laurell Hubick)|3214.16:v|6137.99:m:Closing Time(Semisonic)|6408.20:v:JK Goodnight"],
["2016", "show_2016_08_15.mp3", 8694000,  0, "0.00:m:New York(U2)(remix)|304.05:v|2989.72:c:The Shadow|3066.38:m:Demons(Imagine Dragons)|3239.80:v|6727.34:m:Kite(U2)|6991.07:v|7036.63:m:Miss Sarajevo(U2)|7382.04:t:YVonne from England|8675.65:v:JK Goodnight"],

["2016", "show_2016_08_20.mp3", 5131000,  0, "0.00:m:Tears(Rush)|177.54:m:Ordinary World(Duran Duran)|454.34:m:Edie (Ciao Baby)(The Cult)|738.63:v|2761.89:m:Demons(Imagine Dragons)|2983.20:v|5110.50:v:JK Goodnight"],
["2016", "show_2016_08_23.mp3", 4827000,  0, "0.00:m:Luminous Times (Hold On To Love)(U2)|277.61:v|3010.04:m:Stay (Faraway, So Close!)(U2)|3346.55:v|4440.02:m:Names of God(Laurell Hubick)|4652.83:v:JK Goodnight|4680.35:m:By Your Side Tenth(Avenue North)"],
["2016", "show_2016_08_27.mp3", 4569000,  0, "0.00:m:Demons(Imagine Dragons)|178.45:v|4140.85:m:Beautiful Day(U2)|4555.85:v:JK Goodnight"],
["2016", "show_2016_08_29.mp3", 6813000,  0, "0.00:m:New York(U2)(remix)|303.70:v|3519.72:m:A Room at the Heartbreak Hotel(U2)|3787.29:m:Stay (Faraway, So Close!)(U2)|4120.97:v|5234.53:m:Angel of Harlem(U2)|5451.96:v|6603.56:m:Radioactive(Imagine Dragons)|6790.81:v:JK Goodnight"],
["2016", "show_2016_08_31.mp3", 7415000,  0, "0.00:m:Spanish Eyes(U2)|197.41:m:Mercy(U2)|586.15:v|4374.61:m:Hold On(Triumph)|4555.37:v|5052.31:m:Going to the Chapel|5224.62:v|6020.25:m:Time for Me to Fly(REO Speedwagon)|6236.99:v|6350.67:m:Radioactive(Imagine Dragons)|6537.35:v|7071.71:m:Bad(U2)|7410.86:v:JK Goodnight"],

["2016", "show_2016_09_02.mp3", 7185000,  0, "0.00:m:Ordinary World(Duran Duran)|278.93:m:Bad(U2)|622.86:v|855.04:m:Beautiful Day(U2)|1099.00:v|2609.92:m:Until the End of the World(U2)|2888.87:v|3898.39:m:Edie (Ciao Baby)(The Cult)|4183.99:v|4560.76:m:City of Blinding Lights(U2)|4905.37:v|6896.88:m:Closing Time(Semisonic)|7166.60:v:JK Goodnight"],
["2016", "show_2016_09_03.mp3", 6384000,  0, "0.00:c:Sponsor|30.79:m:The Fly(U2)|301.40:m:Time To Say Goodbye(Bocelli/Brightman)|544.53:m:Hold On(Triumph)|906.84:v|1418.30:m:Time Has Come(Europe)|1586.46:v|2242.99:m:By Your Side(Tenth Avenue North)|2478.93:v|6031.60:m:Redemption song(Bob Marley)|6269.07:v:JK Goodbye|6323.99:c:Sponsor"],
["2016", "show_2016_09_06.mp3", 3658000,  0, "0.00:m:Crazy Train(Ozzy Osbourne)|290.04:v|1841.42:m:Demons(Imagine Dragons)|2015.38:v|3377.00:m:A Room at the Heartbreak Hotel(U2)|3638.93:v:JK Goodnight"],
["2016", "show_2016_09_07.mp3", 7206000,  0, "0.00:m:Kite(U2)|266.42:v|2569.18:m:Desire(U2)|2703.66:v|3873.24:m:Desire(U2)|4197.37:v|6056.82:m:Demons(Imagine Dragons)|6232.14:v|6935.65:m:Return To Innocence(Enigma)|7178.15:v:JK Goodnight"],
["2016", "show_2016_09_12.mp3", 6635000,  0, "0.00:m:Until the End of the World(Patti Smith)|282.44:v|5209.94:m:A Sort Of Homecoming(U2)|5451.40:v|5636.95:m:Crazy Train(Ozzy Osbourne)|5915.09:v|6094.74:m:Time To Say Goodbye(Bocelli/Brightman)|6339.12:v|6363.18:m:Deliver Me(Sarah Brightman)|6600.51:v:JK Goodnight"],
["2016", "show_2016_09_15.mp3", 5867000,  0, "0.00:m:New York(U2)(remix)|301.75:m:Until the End of the World(U2)|571.06:v|2582.51:m:Until the End of the World(U2)|2853.30:v|5431.76:m:Luminous Times (Hold On To Love)(U2)|5702.55:v:JK Goodnight"],
["2016", "show_2016_09_19.mp3", 6103000,  0, "0.00:m:Time for Me to Fly(REO Speedwagon)|221.40:v|273.96:m:A Sort Of Homecoming(U2)|513.08:v|1490.08:m:Beautiful Day(U2)|1733.76:v|3421.38:m:Bad(U2)|3762.49:v|5784.03:m:Crazy Train(Ozzy Osbourne)|6075.40:v:JK Goodnight"],
["2016", "show_2016_09_21.mp3", 5034000,  0, "0.00:m:October(U2)|405.02:v|3657.16:m:Into the West(Annie Lennox, Howard Shore)|3930.38:v|4134.28:m:Crazy Train(Ozzy Osbourne)|4411.61:v|4738.07:m:Time To Say Goodbye(Bocelli/Brightman)|4980.52:v:JK Goodnight"],
["2016", "show_2016_09_26.mp3", 4351000,  0, "0.00:m:New York(U2)(remix)|304.54:v|4070.23:m:A Room at the Heartbreak Hotel(U2)|4341.03:v:JK Goodnight"],
["2016", "show_2016_10_04.mp3", 7185000,  0, "0.00:m:Ordinary World(Duran Duran)|278.27:m:Bad(U2)|623.2:v|855.03:m:Beautiful Day(U2)|1099.01:v|2610.89:m:Until the End of the World(Patti Smith)|2888.98:v|3898.30:m:Edie (Ciao Baby)(The Cult)|4184.64:v|4560.93:m:City of Blinding Lights(U2)|4905.10:v|6897.06:m:Closing Time(Semisonic)|7166.56:v:JK Goodnight"],
["2016", "show_2016_10_08.mp3", 6753000,  0, "0.00:m:The Final Countdown(Europe)|309.59:v|5224.55:m:Comfortably Numb(Pink Floyd)|5507.57:v|6501.04:m:Time for Me to Fly(REO Speedwagon)|6719.81:v:JK Goodbye"],
["2016", "show_2016_10_12.mp3", 5167000,  0, "0.00:m:Radioactive(Imagine Dragons)|190.05:v|4975.36:m:Demons(Imagine Dragons)|5150.33.65:v:Goodnight"],
["2016", "show_2016_10_14.mp3", 5396000,  0, "0.00:m:Demons(Imagine Dragons)|180.84:m:The Temples Of Syrinx(Rush)|583.00:v|2746.5:m:Kite(U2)|3009.35:v|5352.87:v:JK Goodnight"],
["2016", "show_2016_10_15.mp3", 4787000,  0, "0.00:m:In the House of Stone and Light(Martin Page)|302.03:v|1794.20:m:Closing Time(Semisonic)|2065.22:v|4501.52:m:Until the End of the World(Patti Smith)|4778.98:v:JK Goodnight"],
["2016", "show_2016_10_19.mp3", 5334000,  0, "0.00:m:Until the End of the World(Patti Smith)|281.04:v|2240.69:m:Zoo Station(U2)|2510.14:v|4413.48:m:Stay (Faraway, So Close!)(U2)|4742.55:v|5261.70:v:JK Goodnight"],
["2016", "show_2016_10_21.mp3", 3667000,  0, "0.00:m:Bad(U2)|350.31:v|3628.27:v:JK Goodnight"],
["2016", "show_2016_10_22.mp3", 5460000,  0, "0.00:m:The Lord's Prayer(Andrea Bocelli)|265.02:v|3582.73:m:A Room at the Heartbreak Hotel(U2)|3849.25:v|5185.25:m:Time To Say Goodbye(Bocelli/Brightman)|5427.39:v:JK Goodnight"],
["2016", "show_2016_10_25.mp3", 6899000,  0, "0.00:m:Walk On(U2)|298.37:v|895.22:m:One(U2)|1164.29:v|2227.08:m:Kite(U2)|2489.31:v|3230.91:m:Walk On(U2)|3524.50:v|5199.77:m:Walk On(U2)|5494.35:v|5891.21:m:Deliver Me(Sarah Brightman)|6122.41:m:Names of God(Laurell Hubick)|6325.89:m:Time for Me to Fly(REO Speedwagon)|6543.49:m:Time To Say Goodbye(Bocelli/Brightman)|6788.49:v:JK Goodnight"],

["2016", "show_2016_10_29.mp3", 7505000,  0, "0.00:m:Time for Me to Fly(REO Speedwagon)|219.45:v|397.83:m:Comfortably Numb(Pink Floyd)|679.75:v|2041.01:m:Redemption song(Bob Marley)|2280.84:v|7481.90:v:JK Goodnight"],
["2016", "show_2016_11_01.mp3", 5194000,  0, "0.00:m:Crazy Train(Ozzy Osbourne)|283.27:m:Demons(Imagine Dragons)|457.73:v|800.51:m:Kite(U2)|1064.03:v|2689.19:m:A Room at the Heartbreak Hotel(U2)|2867.64:v|5083.77:v:JK Goodnight"],
["2016", "show_2016_11_05.mp3", 6438000,  0, "0.00:m:Lady With the Spinning Head(U2)|236.59:v|3897.32:m:Lady With the Spinning Head(U2)|4131.45:v|5122.35:m:The Final Countdown(Europe)|5420.62:v|6037.97:m:In the House of Stone and Light(Martin Page)|6330.97:v:JK Goodnight"],
["2016", "show_2016_11_08.mp3", 6254000,  0, "0.00:m:By Your Side(Tenth Avenue North)|244.65:v|562.4:m:Names of God(Laurell Hubick)|3063.89:v|5951.41:m:A Sort Of Homecoming(U2)|6191.94:v:JK Goodnight"],
["2016", "show_2016_11_16.mp3", 5821000,  0, "0.00:m:Stay (Faraway, So Close!)(U2)|337.61:v|5219.88:m:Luminous Times (Hold On To Love)(U2)|5492.60:v|5509.11:m:Home Sweet Home(Mötley Crüe)|5789:v:JK Goodnight"],
["2016", "show_2016_11_17.mp3", 7147000,  0, "0.00:m:In the House of Stone and Light(Martin Page)|302.10:v|4840.11:m:Closing Time(Semisonic)|5122.22:v|6872.37:m:A Sort Of Homecoming(U2)|7110.19:v:JK Goodnight"],
["2016", "show_2016_11_19.mp3", 6932000,  0, "0.00:m:Angel of Harlem(U2)|230.35:v|1796.42:m:A Room at the Heartbreak Hotel(U2)|2060.99:v|2704.21:m:Radioactive(Imagine Dragons)|2889.94:v|6168.24:m:Lady With the Spinning Head(U2)|6399.59:v|6411.10:m:Time To Say Goodbye(Bocelli/Brightman)|6653.95:v|6922.26:v:JK Goodnight"],
["2016", "show_2016_11_22.mp3", 7202000,  0, "0.00:m:Hold On(Triumph)|363.57:v|874.40:m:A Sort Of Homecoming(U2)|1115.01:v|3985.11:m:Grace(U2)|4305.16:m:In the House of Stone and Light(Martin Page)|4599.74:v|6318.86:m:Kite(U2)|6581.71:v|6645.47:m:Extreme Ways(Moby)|6885.60:m:New York(U2)(remix)|7185.21:v:JK Goodnight"],

["2016", "show_2016_11_29.mp3", 5697000,  0, "0.00:m:Radioactive(Imagine Dragons)|189.62:v|2684.12:m:Edie (Ciao Baby)(The Cult)|2968.53:v|5319.68:m:Until the End of the World(U2)|5600.10:v:JK Goodnight"],
["2016", "show_2016_12_01.mp3", 7437000,  0, "0.00:m:Ordinary World(Duran Duran)|278.90:m:Embers(Owl City, Adam Young)|499.91:v|3410.66:m:One(U2)|3682.75:v|4685.06:m:In the House of Stone and Light(Martin Page)|4974.3:m:Luminous Times (Hold On To Love)(U2)|5245.35:v|7168.49:m:Kite(U2)|7432.08:v:JK Goodnight"],
["2016", "show_2016_12_03.mp3", 6611000,  0, "0.00:m:All I Want Is You(U2)|364.21:m:Stay (Faraway, So Close!)(U2)|701.60:v|2259.36:m:With Or Without You(U2)|2548.09:v|5127.65:m:One(U2)|5203.45:v|6319.22:m:One(U2)|6591.02:v:JK Goodnight"],
["2016", "show_2016_12_06.mp3", 7139000,  0, "0.00:m:Bad(U2)|354.09:v|4740.11:m:A Sort Of Homecoming(U2)|4997.84:v|6811.33:m:The Final Countdown(Europe)|7113.71:v:JK Goodnight"],
["2016", "show_2016_12_08.mp3", 7025000,  0, "0.00:m:The Lord's Prayer(Andrea Bocelli)|255.65:m:Comfortably Numb(Pink Floyd)|564.88:v|2538.62:m:Only Time(Enya)|2631.00:v|4651.59:m:Ode to Joy(from Beethoven\'s 9th Symphony)|4840.44:v|5758.18:m:Redemption song(Bob Marley)|5999.94:v|6975.62:v:JK Goodnight"],
["2016", "show_2016_12_10.mp3", 7082000,  0, "0.00:m:Bad(U2)|346.91:v|4414.77:m:A Room at the Heartbreak Hotel(U2)|4680.79:m:Radioactive(Imagine Dragons)|4868.34:m:Beautiful Day(U2)|5106.52:v|5537.15:m:Stay (Faraway, So Close!)(U2)|5872.03:v|6777.53:m:Deliver Me(Sarah Brightman)|7014.25:v:JK Goodnight"],
["2016", "show_2016_12_13.mp3", 6370000,  0, "0.00:m:The Final Countdown(Europe)|307.60:v|1014.70:m:Until the End of the World(U2)|1284.77:v|6068.42:m:By Your Side(Tenth Avenue North)|6300.67:v:JK Goodnight"],
["2016", "show_2016_12_14.mp3", 5774000,  0, "0.00:m:Luminous Times (Hold On To Love)(U2)|273.07:v|2750.87:m:Time To Say Goodbye(Bocelli/Brightman)|2992.83:v|5524.83:m:Beautiful Day(U2)|5767.38:v:JK Goodnight"],
["2016", "show_2016_12_17.mp3", 4166000,  0, "0.00:m:Tears(Rush)|201.93:m:The Temples Of Syrinx(Rush)|605.20:v|706.00:m:More Rush...|997.35:v|3922.93:m:99 Luftballons(Nena)|4150.72:v:JK Goodnight"],
["2016", "show_2016_12_20.mp3", 3908000,  0, "0.00:m:Until the End of the World(U2)|281.64:v|3557.57:m:Beautiful Day(U2)|3792.22:v|3895.95:v:JK Goodnight"],
["2016", "show_2016_12_24.mp3", 5303000,  0, "0.00:m:Radioactive(Imagine Dragons)|190.27:v|664.97:m:A Room at the Heartbreak Hotel(U2)|935.55:v|1058.33:m:Comfortably Numb(Pink Floyd)|1352.12:v|4999.85:m:Closing Time(Semisonic)|5270.54:v:JK Goodnight"],
["2016", "show_2016_12_28.mp3", 5629000,  0, "0.00:m:Bad(U2)|343.83:v|1076.14:m:Beautiful Day(U2)|1113.09:v|4060.36:m:Wedding Day(Casting Crowns)|4320.77:v|5312.13:m:Crazy Train(Ozzy Osbourne)|5593.01:v:JK Goodnight"],
["2017", "show_2017_01_01.mp3", 7356000,  0, "0.00:m:Demons(Imagine Dragons)|178.44:v|2089.62:m:Grace(U2)|2413.12:v|5944.09:m:Galaxies(Owl City)|6155.35:m:A Sort Of Homecoming(U2)|6307.24:v|7071.94:m:Beautiful Day(U2)|7316.76:v:JK Goodnight"],
["2017", "show_2017_01_05.mp3", 7059000,  0, "0.00:m:A Sort Of Homecoming(U2)|246.05:v|3687.58:m:Comfortably Numb(Pink Floyd)|4146.39:v|6219.52:m:The Final Countdown(Europe)|6616.88:v|7020.25:v:JK Goodnight"],
["2017", "show_2017_01_11.mp3", 7246000,  0, "0.00:m:Angel of Harlem(U2)|221.74:v|4306.84:m:Stay (Faraway, So Close!)(U2)|4635.73:m:Angel of Harlem(U2)|4858.84:v|7037.68:m:Radioactive(Imagine Dragons)|7223.10:v:JK Goodnight"],
["2017", "show_2017_01_14.mp3", 7179000,  0, "0.00:m:Tie a Yellow Ribbon|205.70:v|1188.59:m:Tie a Yellow Ribbon|1386.61:v|3162.07:m:Tie a Yellow Ribbon|3360.43:v|4663.41:m:A Room at the Heartbreak Hotel(U2)|4923.35:m:Stay (Faraway, So Close!)(U2)|5270.90:m:Until the End of the World(U2)|5549.84:v|6274.77:m:Grace(U2)|6601.30:v|7067.99:v:JK Goodnight + Hava Nagila"],
["2017", "show_2017_01_17.mp3", 7118000,  0, "0.00:m:The Saints Are Coming(U2)|203.75:v|549.70:m:Elevation(U2)|759.66:v|6868.36:m:A Sort Of Homecoming(U2)|7113.68:v:JK Goodnight"],
["2017", "show_2017_01_19.mp3", 5888000,  0, "0.00:m:In the House of Stone and Light(Martin Page)|301.48:v|5640.23:m:Angel of Harlem(U2)|5859.18:v:JK Goodnight"],
["2017", "show_2017_01_22.mp3", 7308000,  0, "0.00:m:Oops|25.84:m:Zoo Station(U2)|297.30:v|6075.05:m:Stay (Faraway, So Close!)(U2)|6410.04:v|7032.68:m:A Room at the Heartbreak Hotel(U2)"],
["2017", "show_2017_01_23.mp3", 10584000, 0, "0.00:m:Angel of Harlem(U2)|221.92:v|2182.53:m:Demons(Imagine Dragons)|2357.51:v|4509.22:m:New York(U2)(remix)|  5352.87:v:JK Goodnight"],
["2017", "show_2017_01_31.mp3", 7028000,  0, "0.00:m:Radioactive(Imagine Dragons)|190.09:m:Demons(Imagine Dragons)|363.95:v|4457.33:m:Walk On(U2)|4747.66:v|7009.01:v:JK Goodnight"],
["2017", "show_2017_02_07.mp3", 7254000,  0, "0.00:m:Walk On(U2)|291.84:v|886.09:m:Stay (Faraway, So Close!)(U2)|1217.68:v|4073.44:m:Stay (Faraway, So Close!)|4407.56:v|7010.13:m:Time To Say Goodbye(Bocelli/Brightman)"],
["2017", "show_2017_02_11.mp3", 5900000,  0, "0.00:m:Only Time(Enya)|217.04:v|1774.85:m:Bad(U2)|2119.81:v|5581.50:m:The Final Countdown(Europe)|5886.83:v:JK Goodnight"],
["2017", "show_2017_02_15.mp3", 6941000,  0, "0.00:m:Demons(Imagine Dragons)|180.16:v|1273.91:m:A Room at the Heartbreak Hotel(U2)|1538.49:v|6888.54:v:JK Goodnight"],
["2017", "show_2017_02_22.mp3", 7137000,  0, "0.00:m:Bad(U2)|336.77:v|4972.60:m:Stay (Faraway, So Close!)(U2)|5301.35:v|5803.14:c:video|6641.70:v:|7036.87:v:JK Goodnight"],
["2017", "show_2017_02_25.mp3", 4313000,  0, "0.00:m:Until the End of the World|280.63:v|4254.85:v:JK Goodnight"],
["2017", "show_2017_02_28.mp3", 5308000,  0, "0.00:m:By Your Side(Tenth Avenue North)|240.71:v|5093.39:m:Names of God(Laurell Hubick)"],
["2017", "show_2017_03_04.mp3", 6709000,  0, "0.00:m:Angel of Harlem(U2)|227.04:v|6268.89:m:Stay (Faraway, So Close!)(U2)|6608.43:v:JK Goodnight"],
["2017", "show_2017_03_08.mp3", 4037000,  0, "0.00:m:A Sort Of Homecoming(U2)|246.09:v|3754.60:m:A Room at the Heartbreak Hotel(U2)"],
["2017", "show_2017_03_11.mp3", 7155000,  0, "0.00:m:Angel of Harlem(U2)|224.93:m:The Grand Illusion(Styx)|498.10:v|1173.46:m:The Grand Illusion(Styx)|1446.49:v|7096.07:v:JK Goodnight"],
["2017", "show_2017_03_17.mp3", 7325000,  0, "0.00:m:The Grand Illusion(Styx)|276.38:v|967.68:m:Radioactive(Imagine Dragons)|1156.38:v|7248.47:v:JK Goodnight"],
["2017", "show_2017_03_21.mp3", 5680000,  0, "0.00:m:The Grand Illusion(Styx)|266.53:v|640.59:m:Return To Innocence(Enigma)|902.47:v|4882.29:m:Redemption song(Bob Marley)|4973.56:v|5636.98:v:JK Goodnight"],
["2017", "show_2017_03_24.mp3", 5181000,  0, "0.00:m:The Grand Illusion(Styx)|274.13:v|4035.89:m:The Grand Illusion(Styx)|4306.68:v|4748.75:m:Edie (Ciao Baby)(The Cult)|5035.54:v:JK Goodnight"],
["2017", "show_2017_04_05.mp3", 7346000,  0, "0.00:m:The Fly(U2)|276.61:v|6990.97:m:The Final Countdown(Europe)|7294.00:v:JK Goodnight"],
["2017", "show_2017_04_09.mp3", 5067000,  0, "0.00:m:The Grand Illusion(Styx)|273.35:v|2303.60:m:Beautiful Day(U2)|2553.69:v|3264.19:m:Angel of Harlem(U2)|3487.15:v|4769.19:m:Ordinary World(Duran Duran)|5049.19:v:JK Goodnight"],
["2017", "show_2017_04_17.mp3", 5503000,  0, "0.00:m:Radioactive(Imagine Dragons)|199.39:m:Until the End of the World(Patti Smith)|479.79:m:In the House of Stone and Light(Martin Page)|776.09:v|3002.96:m:Into the West(Annie Lennox, Howard Shore)|3277.42:m:|3487.56:m:Luminous Times (Hold On To Love)(U2)|3758.13:v|5233.13:m:Return To Innocence(Enigma)|5498.86:v:JK Goodnight"],
["2017", "show_2017_04_22.mp3", 7277000,  0, "0.00:m:The Grand Illusion(Styx)|273.16:v|6960.97:m:Edie (Ciao Baby)(The Cult)|7246.68:v:JK Goodnight"],
["2017", "show_2017_04_27.mp3", 7499000,  0, "0.00:m:The Grand Illusion(Styx)|268.95:v|1038.91:m:Luminous Times (Hold On To Love)(U2)|1310.94:m:Home Sweet Home(Mötley Crüe)|1515.32:v|4927.78:m:Bad(U2)|5227.74:v|7442.99:v:JK Goodnight"],
["2017", "show_2017_05_03.mp3", 7093000,  0, "0.00:m:The Grand Illusion(Styx)|272.69:v|3678.37:m:Names of God(Laurell Hubick)|3922.61:m:Where The Streets Have No Name(U2)|4022.42:v|7046.80:v:JK Goodnight"],
["2017", "show_2017_05_06.mp3", 7263000,  0, "0.00:m:The Grand Illusion(Styx)|291.03:v|2225.65:m:Bad(U2)|2565.70:v|7244.07:v:JK Goodnight"],
["2017", "show_2017_05_11.mp3", 5303000,  0, "0.00:m:The Final Countdown(Europe)|311.79:v|1970.35:m:Stay (Faraway, So Close!)(U2)|2302.25:v|5273.83:v:JK Goodnight"],
["2017", "show_2017_05_24.mp3", 4662000,  0, "0.00:m:By Your Side(Tenth Avenue North)|281.06:v|4609.71:v:JK Goodnight"],
["2017", "show_2017_06_01.mp3", 6872000,  0, "0.00:m:Beautiful Day(U2)|248.40:v|3497.36:m:A Sort Of Homecoming(U2)|3730.64:m:Until the End of the World(U2)|3966.53:v|6807.94:v:JK Goodnight"],
["2017", "show_2017_06_03.mp3", 4714000,  0, "0.00:m:The Grand Illusion(Styx)|271.57:v|3498.93:m:Luminous Times (Hold On To Love)(U2)|3772.11:v|4332.00:m:In the House of Stone and Light(Martin Page)|4627.12:v:JK Goodnight"],
["2017", "show_2017_06_10.mp3", 5397000,  0, "0.00:m:The Grand Illusion(Styx)|269.55:v|5110.59:m:Edie (Ciao Baby)(The Cult)"],
["2017", "show_2017_06_14.mp3", 6567000,  0, "0.00:m:Stuck in a Moment You Can’t Get Out Of(U2)|274.18:v|3477.90:m:In the House of Stone and Light(Martin Page)|3771.76:v|6291.26:m:Kite(U2)|6556.54:v:JK Goodnight"],
["2017", "show_2017_06_20.mp3", 6657000,  0, "0.00:m:Don’t Dream It’s Over(Crowded House)|237.26:v|6364.86:m:Angel of Harlem(U2)|6598.34:v:JK Goodnight"],
["2017", "show_2017_06_24.mp3", 6534000,  0, "0.00:m:Elevation(U2)|218.89:v|454.11:m:Beautiful Day(U2)|691.63:v|6294.46:m:Luminous Times (Hold On To Love)(U2)"],
["2017", "show_2017_06_28.mp3", 4059000,  0, "0.00:m:The Grand Illusion(Styx)|274.46:v|3814.31:m:Embers(Owl City, Adam Young)|4038.36:v:JK Goodnight"],
["2017", "show_2017_06_30.mp3", 6596000,  0, "0.00:m:New York(U2)(remix)|340.15:m:A Room at the Heartbreak Hotel(U2)|435.94:v|4514.79:m:Grace(U2)|4844.93:v|6545.37:v:JK Goodnight"],
["2017", "show_2017_07_01.mp3", 7469000,  0, "0.00:m:In the House of Stone and Light(Martin Page)|301.51:v|3131.50:m:Return To Innocence(Enigma)|3378.30:v|7433.58:v:JK Goodnight"],
["2017", "show_2017_07_20.mp3", 6112000,  0, "0.00:m:Spanish Eyes(U2)|202.51:v|698.68:m:Beautiful Day(U2)|939.33:v|4158.58:m:Ordinary World(Duran Duran)|4442.89:v|5077.99:m:Deliver Me(Sarah Brightman)|5373.01:v|5623.3:m:Time To Say Goodbye(Bocelli/Brightman)|5877.13:v:JK Goodnight"],
["2017", "show_2017_08_05.mp3", 5465000,  0, "0.00:m:Going to the Chapel|171.50:v|5082.65:m:Wedding Day(Casting Crowns)|5347.48:v:JK Goodnight"],
["2017", "show_2017_08_08.mp3", 5712000,  0, "0.00:m:Stay (Faraway, So Close!)(U2)|337.6:m:Beautiful Day(U2)|1041.23:m:Angel of Harlem(U2)|1249.96:m:Thank You(Dido)|1437.94:v|5403.28:m:Crazy Train(Ozzy Osbourne)|5683.62:v:JK Goodnight"],
["2017", "show_2017_08_12.mp3", 5642000,  0, "0.00:m:Where the Streets Have No Name(U2)|280.32:v|1822.21:m:Where the Streets Have No Name(U2)|2096.17:v|5597.20:v:JK Goodnight"],
["2017", "show_2017_08_16.mp3", 6724000,  0, "0.00:m:Blinding City of Blinding Lights(U2)|369.23:m:A Room at the Heartbreak Hotel(U2)|591.17:v|1346.68:m:Beautiful Day(U2)|1600.43:v|6287.11:m:The Final Countdown(Europe)|6591.72:v:JK Goodnight"],
["2017", "show_2017_08_19.mp3", 7015000,  0, "0.00:m:Demons(Imagine Dragons)|227.57:v|6116.05:m:The Final Countdown(Europe)|6428.08:v|6436.50:m:Edie (Ciao Baby)(The Cult)|6722.81:v:JK Goodnight"],
["2017", "show_2017_08_26.mp3", 7104000,  0, "0.00:m:The Grand Illusion(Styx)|276.23:v|3164.73:m:Demons(Imagine Dragons)|3357.09:m:Lady With the Spinning Head(U2)|3592.13:v|6100.82:m:New York(U2)(remix)|6417.53:m:Return To Innocence(Enigma)|6663.73:m:Tears(Rush)|6837.67:m:Deliver Me(Sarah Brightman)|7076.00:v:JK Goodnight"],
["2017", "show_2017_08_30.mp3", 7113000,  0, "0.00:m:Embers(Owl City, Adam Young)|244.77:m:Bad(U2)|586.73:v|4132.51:m:Angel of Harlem(U2)|4348.22:v|6830.23:m:Closing Time(Semisonic)|7099.47:v:JK Goodnight"],
["2017", "show_2017_09_06.mp3", 6254000,  0, "0.00:m:The Grand Illusion(Styx)|278.30:v|1650.33:m:Extreme Ways (Bourne's Legacy)(Moby)|1835.63:v|6207.16:v:JK Goodnight"],
["2017", "show_2017_09_13.mp3", 6514000,  0, "0.00:m:The Grand Illusion(Styx)|277.76:v|4055.82:m:Demons(Imagine Dragons)|4249.98:m:Kite(U2)|4515.68:v|6037.38:m:New York(U2)(remix)|6354.62:v:JK Goodnight"],
["2017", "show_2017_09_16.mp3", 4983000,  0, "0.00:m:The Grand Illusion(Styx)|278.22:v|3162.05:m:Radioactive(Imagine Dragons)|3351.04:v|4699.97:m:Closing Time(Semisonic)|4969.52:v:JK Goodnight"],
["2017", "show_2017_09_21.mp3", 5278000,  0, "0.00:m:Beautiful Day(U2)|248.03:v|5251.35:v:JK Goodnight"],
["2017", "show_2017_09_23.mp3", 6225000,  0, "0.00:m:The Lord's Prayer(Andrea Bocelli)|268.17:v|4928.31:m:Wedding Day(Casting Crowns)|5195.09:v|6101.12:v:JK Goodnight"],
["2017", "show_2017_09_27.mp3", 3931000,  0, "0.00:m:The Grand Illusion(Styx)|275.49:v|3557.00:m:Walk On(U2)|3852.36:v:JK Goodnight"],
["2017", "show_2017_09_30.mp3", 5779000,  0, "0.00:m:Walk On(U2)|297.49:v|955.11:m:Walk On(U2)|1250.39:v|3648.85:m:Stay (Faraway, So Close!)(U2)|3979.91:v|5234.31:m:Stay (Faraway, So Close!)(U2)|5566.71:v|5772.70:v:JK Goodnight"],
["2017", "show_2017_10_04.mp3", 7092000,  0, "0.00:m:Names of God(Laurell Hubick)|220.19:v|901.52:m:Demons(Imagine Dragons)|1089.66:v|2361.05:m:Walk On(U2)|2656.45:v|5668.41:m:Where the Streets Have No Name(U2)|5871.25:v|7080.66:v:JK Goodnight"],
["2017", "show_2017_10_07.mp3", 3516000,  0, "0.00:m:Ordinary World(Duran Duran)|287.65:v|3451.23:v:JK Goodnight"],
["2017", "show_2017_10_13.mp3", 4817000,  0, "0.00:m:North and South of the River(U2)|285.62:v|4112.50:m:North and South of the River(U2)|4390.27:v|4783.58:v:JK Goodnight"],
["2017", "show_2017_10_20.mp3", 6874000,  0, "0.00:m:Beautiful Day(U2)|241.18:m:Embers(Owl City, Adam Young)|421.84:v|1954.73:m:North and South of the River(U2)|2162.55:v|6853.12:v:JK Goodnight"],
["2017", "show_2017_11_07.mp3", 7118000,  0, "0.00:m:The Final Countdown(Europe)|309.53:v|3227.25:m:By Your Side(Tenth Avenue North)|3483.56:m:Bad(U2)|3698.97:v|6742.31:m:North and South of the River(U2)|7011.68:v:JK Goodnight"],
["2017", "show_2017_11_10.mp3", 6663000,  0, "0.00:m:By Your Side(Tenth Avenue North)|282.50:v|442.36:m:Walk On(U2)|726.15:v|3597.59:m:Walk On(U2)|3885.26:v|3903.47:m:Comfortably Numb(Pink Floyd)|4458.14:m:Kite(U2)|4726.37:m:Extreme Ways(Moby)|4845.37:v|6589.34:m:North and South of the River(U2)"],
["2017", "show_2017_11_15.mp3", 329000,   0, "0.00:m:5m 29s of test"],
["2017", "show_2017_11_18.mp3", 1519000,  0, "0.00:m:25m 19s of test"],
["2017", "show_2017_11_21.mp3", 615000,   0, "0.00:m:More testing|3.64:m:The Grand Illusion(Styx)|190.56:m:A Room at the Heartbreak Hotel(U2)|357.87:m:A Room at the Heartbreak Hotel(U2)"],
["2017", "show_2017_12_02.mp3", 7111000,  0, "0.00:m:Spanish Eyes(U2)|193.98:v|322.32:m:Names of God(Laurell Hubick)|528.96:m:Radioactive(Imagine Dragons)|715.99:v:JK - Welcome to the final Blog Talk Radio|4933.63:m:Bad(U2)|5312.18:v|5323.21:m:Beautiful Day(U2)|5566.39:v|6763.89:v:Deliver me??|6794.10:m:Time To Say Goodbye(Bocelli/Brightman)|7040.30:v:JK Goodnight"]
];







/*

We know -- 
- Current time in Sec 
   Return the number of milliseconds since 1970/01/01:
   var n = Date.now();
- Let's say Track one started 2021/05/01
   Return the number of milliseconds between a specified date and midnight January 1 1970:
   var d = Date.UTC(2012, 02, 30);
   Date.UTC(year, month, day, hours, minutes, seconds, millisec)
         // yyyy, (0-11),(1-31), 0-23, 0-59,  0-59,    0-999 
- Create a date object using UTC time instead of local time:
   var d = new Date(Date.UTC(2012, 02, 30));
- Get primitive value of date (millisecs since mighnight Jan 1 1970)
   var d = new Date();
   var n = d.valueOf();
- Return the number of milliseconds between January 1, 1970 and March 21, 2012:
   var d = Date.parse("March 21, 2012");  
   
t1 = zereo time 
t2 = t1 time + spc 
t3 = etc 
t4 = etc

t1 - Calc time from StartDate nn
t2 - Calc time from StartDate nn

Get Now

Loop through Total time lots - Find the TimeLot we are currently in
- Now we can put time stamps on all items
- Now we can put a "Now" on an item 
- Now we can see any difference between Us Now and Global Now  
- Add Sync button to jump us to Global Now 
                                               <-- 1111 secs -->        
|----------------------------------------------[Now,T,T,T,T,T,T]
 <--- 59 sec --->[Now,T,T,T,T,T][Now,T,T,T,T,T]
We get a value 59 sec (the remainder of deviding the Span into total tics) 
 
*/




